/*
 *   This file is a part of the SteamWar software.
 *
 *   Copyright (C) 2025 SteamWar.de-Serverteam
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU Affero General Public License for more details.
 *
 *   You should have received a copy of the GNU Affero General Public License
 *   along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

plugins {
    `java-library`
    alias(libs.plugins.shadow)
}

tasks.build {
    finalizedBy(tasks.shadowJar)
}

dependencies {
    api(project(":CommonCore"))
    api(project(":CommandFramework"))
    api(project(":SpigotCore:SpigotCore_Main"))

    implementation(project(":SpigotCore:SpigotCore_8"))
    implementation(project(":SpigotCore:SpigotCore_9"))
    implementation(project(":SpigotCore:SpigotCore_10"))
    implementation(project(":SpigotCore:SpigotCore_12"))
    implementation(project(":SpigotCore:SpigotCore_14"))
    implementation(project(":SpigotCore:SpigotCore_15"))
    implementation(project(":SpigotCore:SpigotCore_18"))
    implementation(project(":SpigotCore:SpigotCore_19"))
    implementation(project(":SpigotCore:SpigotCore_20"))
    implementation(project(":SpigotCore:SpigotCore_21")) {
        attributes {
            // Very Hacky, but it works
            attribute(TargetJvmVersion.TARGET_JVM_VERSION_ATTRIBUTE, 21)
        }
    }
}
